Bug 799246 - rwhod doesn't start
rwhod doesn't start
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: rwho (Show other bugs)
7.0
All Linux
unspecified Severity high
: rc
: ---
Assigned To: Honza Horak
:
Depends On:
Blocks: 839713 816135
  Show dependency treegraph
 
Reported: 2012-03-02 04:12 EST by Martin Cermak
Modified: 2012-07-12 13:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-06 07:30:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace -f output (7.94 KB, application/x-bzip)
2012-03-02 04:12 EST, Martin Cermak
no flags Details

  None (edit)
Description Martin Cermak 2012-03-02 04:12:33 EST
Created attachment 567010 [details]
strace -f output

Description of problem:

   The rwho daemon doesnt start on rhel7:

# strace -f -ostrace.rwhod.txt service rwhod start
Redirecting to /bin/systemctl  start rwhod.service
Job failed. See system logs and 'systemctl status' for details.

   Strace attached.

   This issue is a regression compared to rhel6. Even with systemd, all
   services should be backward compatible with the old service command
   syntax.


Version-Release number of selected component (if applicable):

   rwho-0.17-36.el7.x86_64

How reproducible:

   always

Steps to Reproduce:

   service rwhod start
Comment 1 Honza Horak 2012-03-06 07:30:05 EST
Removing "PIDFile=/var/run/rwhod.pid" from rwhod.service fixes this issue. Fixed builds are already in Fedora and also in RHEL-7.

This is a commit in RHEL-7:
http://post-office.corp.redhat.com/archives/cvs-commits-list/2012-March/msg01436.html

Note You need to log in before you can comment on or make changes to this bug.